osmium::buffer_is_full Struct Reference

`#include <buffer.hpp>`

Inheritance diagram for osmium::buffer_is_full:
[legend]
Collaboration diagram for osmium::buffer_is_full:
[legend]

## Public Member Functions

| buffer_is_full ()

## Detailed Description

Exception thrown by the osmium::memory::Buffer class when somebody tries to write data into a buffer and it doesn't fit. Buffers with internal memory management will not throw this exception, but increase their size.

## Constructor & Destructor Documentation

osmium::buffer_is_full::buffer_is_full | ( |  | ) |

inline

The documentation for this struct was generated from the following file:

- osmium/memory/buffer.hpp